Package org.apache.maven.scm

## Class ScmTag

- java.lang.Object
- - org.apache.maven.scm.AbstractScmVersion
  - - org.apache.maven.scm.ScmBranch
    - - org.apache.maven.scm.ScmTag

All Implemented Interfaces:
  `java.io.Serializable`, `ScmVersion`

    public class ScmTag
    extends ScmBranch

Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ScmTag​(java.lang.String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getType()`

### Methods inherited from class org.apache.maven.scm.AbstractScmVersion

`getName, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScmTag

    public ScmTag​(java.lang.String name)

Parameters:
  `name` - not null

### Method Detail

#### getType

    public java.lang.String getType()

Specified by:
  `getType` in interface `ScmVersion`
Overrides:
  `getType` in class `ScmBranch`
Returns:
  the Version type like branch